Bug 99322 - Error in Calculation after cut and paste (need hard recalc)
Summary: Error in Calculation after cut and paste (need hard recalc)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) All
: medium major
Assignee: Eike Rathke
URL:
Whiteboard: target:5.2.0 target:5.1.3 target:5.0.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-04-15 13:17 UTC by mcbeatle
Modified: 2016-10-25 19:08 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Calculation Bug Example (12.52 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-04-15 13:17 UTC, mcbeatle
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mcbeatle 2016-04-15 13:17:27 UTC
Created attachment 124364 [details]
Calculation Bug Example

I found the following Bug.

I have a calc sheet with some expressions (sum/div ect.). When i copy one line, the calculation at a specific field shows wrong values! Only repopen of the File can temporary solve the bug.

You can reproduce the error when you copy (ctrl+x) from B12:G12 to B10:G10

You will see the value at G8 will show the wrong calculation.

Version: 5.1.1.3
Build-ID: 10m0(Build:3)
CPU-Threats: 4; BS-Version: Linux 4.5; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE.UTF-8)

I think this is a major bug because there are people who trust in the calculations.
Comment 1 raal 2016-04-18 03:42:05 UTC
I can confirm with Version: 5.2.0.0.alpha0+, linux and windows. After hard recalc CTRL+SHIFT+F9 is cell G8 recalculated. 

Works in Version: 4.5.0.0.alpha0+
Build ID: 2851ce5afd0f37764cbbc2c2a9a63c7adc844311,regression
Comment 2 raal 2016-04-18 06:39:58 UTC
This seems to have begun at the below commit.
Adding Cc: to XXXX ; Could you possibly take a look at this one? Thanks

938ff6f34bfb99a36e8a7a01caef827a7aef7705 is the first bad commit
commit 938ff6f34bfb99a36e8a7a01caef827a7aef7705
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Tue Jul 14 13:05:51 2015 -0700

    source sha:2f6a06856ad8df0c11a112d1e457b408e9a7af1d

author	Eike Rathke <erack@redhat.com>	2015-06-05 13:51:46 (GMT)
committer	Eike Rathke <erack@redhat.com>	2015-06-05 14:22:38 (GMT)
commit	2f6a06856ad8df0c11a112d1e457b408e9a7af1d (patch)
tree	e2376a0b58c878522e839aa28c36257b349d6751
parent	15499b1e4f2d31c2707d75800046f7fa12bb5dac (diff)
tdf#90694 reset group area listeners when splitting group
Comment 3 Commit Notification 2016-04-18 20:08:08 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=44e2da58226448c5617eac08ca2ae3d9a9ad2afa

Resolves: tdf#99322 re-establish group area listeners after update reference

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Eike Rathke 2016-04-18 20:25:55 UTC
Pending review
https://gerrit.libreoffice.org/24225 for 5-1
https://gerrit.libreoffice.org/24226 for 5-0
https://gerrit.libreoffice.org/24227 for 5-0-6
Comment 5 Commit Notification 2016-04-18 20:41:30 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6c80a566d21ffc0f471f0b282929f964ab10e445&h=libreoffice-5-0

Resolves: tdf#99322 re-establish group area listeners after update reference

It will be available in 5.0.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-04-19 08:07:24 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=958cb598912b534a8bf7fa7a3bb657b65e4d13ed&h=libreoffice-5-1

Resolves: tdf#99322 re-establish group area listeners after update reference

It will be available in 5.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-04-19 09:10:35 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=35abb3aacb4072171e8c580e1306e3c44e368646

call StartNeededListeners() only on affected columns, tdf#99322 follow-up

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-04-19 10:48:10 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2efd20c7a18fe5e864509c75443883ccf35bc3a4

const as const can, tdf#99322 follow-up

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Eike Rathke 2016-04-19 11:35:20 UTC
Pending review https://gerrit.libreoffice.org/24242 for 5-1
Comment 10 Commit Notification 2016-04-19 12:20:41 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=23acddd6e478eceff770846f0c0aabaa4c265016&h=libreoffice-5-1

call StartNeededListeners() only on affected columns, tdf#99322 follow-up

It will be available in 5.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2016-04-21 14:08:16 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dc5d3edc893ad3fcd555f28c0b1eaed3607df810&h=libreoffice-5-0-6

Resolves: tdf#99322 re-establish group area listeners after update reference

It will be available in 5.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.